@subheading gsasl_saslprep
@anchor{gsasl_saslprep}
@deftypefun {int} {gsasl_saslprep} (const char * @var{in}, Gsasl_saslprep_flags @var{flags}, char ** @var{out}, int * @var{stringpreprc})
@var{in}: a UTF-8 encoded string.

@var{flags}: any SASLprep flag, e.g., @code{GSASL_ALLOW_UNASSIGNED}.

@var{out}: on exit, contains newly allocated output string.

@var{stringpreprc}: if non-NULL, will hold precise stringprep return code.

Prepare string using SASLprep.  On success, the @code{out} variable must
be deallocated by the caller.

@strong{Return value:} Returns @code{GSASL_OK} on success, or
@code{GSASL_SASLPREP_ERROR} on error.

@strong{Since:} 0.2.3
@end deftypefun

